<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::table('countries', function (Blueprint $table) {
            $table->string('iso3', 3)->nullable()->change();
            
            $table->string('phone_code', 20)->nullable()->change();
            $table->string('currency', 3)->nullable()->change();
        });
    }

    public function down(): void {
        Schema::table('countries', function (Blueprint $table) {
            $table->string('iso3', 3)->nullable(false)->change();
        });
    }
};